Bug 12886 - smbspool_krb5_wrapper does not tell CUPS that it requires negotiate for authentication
smbspool_krb5_wrapper does not tell CUPS that it requires negotiate for authe...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.6.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 12:08 UTC by Andreas Schneider
Modified: 2017-07-25 09:29 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.6 (2.25 KB, patch)
2017-07-17 12:05 UTC, Andreas Schneider
jra: review+
Details
patch for 4.7 (2.25 KB, patch)
2017-07-17 12:06 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-07-07 12:08:31 UTC
smbspool_krb5_wrapper does not tell CUPS that it requires negotiate for authentication.

Patch will follow.
Comment 1 Andreas Schneider 2017-07-17 12:05:49 UTC
Created attachment 13392 [details]
patch for 4.6
Comment 2 Andreas Schneider 2017-07-17 12:06:08 UTC
Created attachment 13393 [details]
patch for 4.7
Comment 3 Jeremy Allison 2017-07-18 17:16:28 UTC
Reassigning to Karolin for inclusion in 4.7.0, 4.6.next.
Comment 4 Karolin Seeger 2017-07-23 20:06:50 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{6,7}-test.
Comment 5 Karolin Seeger 2017-07-25 09:29:52 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!